/* Mah Nishtana in Java Programming Language - by Steven Weinberger */

import com.whyisthis.Night;
import com.whyisthis.Bread;
import com.whyisthis.Greens;

class FourQuestions {
	public static void main(String[] args) {
		Night thisNight, allOtherNights;
		thisNight = getNight(Night.PASSOVER);
		allOtherNights = getNight(Night.NOT_PASSOVER);
		System.out.println("How is "+thisNight.getName()+" different from "+allOtherNights.getName()+" ?\n");
		compareNights(thisNight, allOtherNights);
		System.exit(0);
	}

	public static Night getNight(int type) {
		Night n = new Night();
		if(type == Night.NOT_PASSOVER) {
			n.setName("All Other Nights");
			n.setBread(Bread.LEAVENED);
			n.setGreens(Greens.NOT_BITTER);
			n.setDipping(0);
			n.setReclining(false);
		} else if(type == Night.PASSOVER) {
			n.setName("This Night");
			n.setBread(Bread.UNLEAVENED);
			n.setGreens(Greens.BITTER);
			n.setDipping(2);
			n.setReclining(true);
		}
		return n;
	}

	public static void compareNights(Night n1, Night n2) {
		if(	n1.getBread() == n2.getBread() &&
			n1.getGreens() == n2.getGreens() &&
			n1.getDipping() == n2.getDipping() &&
			n1.getReclining() == n2.getReclining()) {
				System.out.println("They aren't!");
		} else {
			System.out.println(n1);
			System.out.println(n2);
		}
	}
}
